Subject: Re: [PATCH] Add bare repository indicator for __git_ps1

From: Marius Storm-Olsen <[email-masked]>
Date: Tue, 24 Feb 2009 15:46:48 +0100

Ted Pavlic said the following on 24.02.2009 15:25:
> I only added the "GIT_DIR!" on the advice of Junio, who suggested a
> "danger" flag. I asked for suggestions on replacement text.
> 
> Keep in mind that "BARE:master" doesn't make much sense. If you're
> in a git dir, you don't have a working directory. "BARE" alone
> makes sense. Personally, I think it makes more sense to submit a
> patch that changes "GIT_DIR!" to "BARE" in the bare case (and
> doesn't print any branch).

It reflects what HEAD points to in the bare repository.

-- 
.marius [@trolltech.com]
'if you know what you're doing, it's not research'